# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-python
BuildRequires: /usr/bin/desktop-file-install
# END SourceDeps(oneline)
%define fedora 23
%{!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}

%if 0%{?fedora} || 0%{?rhel} >= 6
%global with_docs 1
%else
%global with_docs 0
%endif

%global major 2.6

Name:           tryton
Version:        2.6.1
Release:        alt1_7
Summary:        Client for the Tryton application framework

Group:          Office
License:        GPLv3+
URL:            http://www.tryton.org
Source0:        http://downloads.tryton.org/%{major}/%{name}-%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  python-devel
BuildRequires:  python-module-setuptools
BuildRequires:  desktop-file-utils
%if %{with_docs}
BuildRequires:  python-module-sphinx
%endif
Requires:       pygtk2
Requires:       librsvg
Requires:       libmx
Requires:       python-module-OpenSSL
Requires:       python-module-pytz
Requires:       python-module-dateutil
Source44: import.info


%description
This is client for the Tryton application framework. The server can be found
in the trytond package.


%prep
%setup -q


%build
%{__python} setup.py build

%if %{with_docs}
pushd doc
make html
popd
%endif


%install
%{__python} setup.py install -O1 --skip-build --root $RPM_BUILD_ROOT

desktop-file-install                            \
        --dir $RPM_BUILD_ROOT%{_datadir}/applications           \
        %{name}.desktop

# prepare icon pixmap
pushd $RPM_BUILD_ROOT%{_datadir}/pixmaps
ln -sf %{name}/%{name}-icon.png %{name}-icon.png
popd

%find_lang %{name}


%files -f %{name}.lang
%doc CHANGELOG COPYRIGHT INSTALL LICENSE README TODO
%if %{with_docs}
%doc doc/_build/html
%endif
%{_bindir}/%{name}
%{python_sitelibdir_noarch}/*
%{_datadir}/pixmaps/%{name}
%{_datadir}/pixmaps/%{name}-icon.png
%{_datadir}/applications/%{name}.desktop


%changelog
* Wed Mar 02 2016 Igor Vlasenko <viy@altlinux.ru> 2.6.1-alt1_7
- update to new release by fcimport

* Mon Oct 19 2015 Igor Vlasenko <viy@altlinux.ru> 2.6.1-alt1_6
- update to new release by fcimport

* Mon Jul 07 2014 Igor Vlasenko <viy@altlinux.ru> 2.6.1-alt1_5
- update to new release by fcimport

* Mon Sep 09 2013 Igor Vlasenko <viy@altlinux.ru> 2.6.1-alt1_4
- update to new release by fcimport

* Mon Apr 29 2013 Igor Vlasenko <viy@altlinux.ru> 2.6.1-alt1_3
- initial fc import

